
QGIS Application - Bug report #20875

ModuleNotFoundError: No module named 'qgis.processing' 

2018-12-23 05:43 PM - Cory Albrecht

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28694

Description

On Ubuntu, when starting QGIS 3.5, a window pops up saying:

ModuleNotFoundError: No module named 'qgis.processing' 

Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 309, in loadPlugin

    __import__(packageName)

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/__init__.py", line 29, in 

    from processing.tools.general import *              # NOQA

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/tools/general.py", line 39, in 

    from processing.core.Processing import Processing

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/core/Processing.py", line 55, in 

    from processing.script import ScriptUtils

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/script/ScriptUtils.py", line 28, in 

    from qgis.processing import alg as algfactory

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ModuleNotFoundError: No module named 'qgis.processing'

Python version: 3.6.7 (default, Oct 22 2018, 11:32:17) [GCC 8.2.0] 

QGIS version: 3.5.0-Master Master, 657f5a4 

Python Path:

/usr/share/qgis/python

/home/cory/.local/share/QGIS/QGIS3/profiles/default/python

/home/cory/.local/share/QGIS/QGIS3/profiles/default/python/plugins

/usr/share/qgis/python/plugins

/usr/lib/python36.zip

/usr/lib/python3.6

/usr/lib/python3.6/lib-dynload

/usr/local/lib/python3.6/dist-packages

/usr/lib/python3/dist-packages
/home/cory/.local/share/QGIS/QGIS3/profiles/default/python

Related issues:

Duplicates QGIS Application - Bug report # 20856: Lack of qgis.processing pyt... Closed 2018-12-20

History

#1 - 2018-12-23 09:08 PM - Jürgen Fischer

- Duplicates Bug report #20856: Lack of qgis.processing python module in python-qgis package added

#2 - 2018-12-23 09:08 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed
